<div class="login-container">
<mat-card class="container">
    <mat-card-content>
      <form #loginForm="ngForm" (ngSubmit)="onSubmit()" class="form-layout" autocomplete="off">
        <span class="company-name">melita</span>
        <mat-error *ngIf="!loginValid">
          The username and password were not recognized
        </mat-error>
        <mat-form-field appearance="fill">
          <input matInput placeholder="Email" [(ngModel)]="username" id="username" name="username" required autocomplete="off">
          <mat-error>
            Please provide a valid email address
          </mat-error>
        </mat-form-field>
        <mat-form-field appearance="fill">
          <input matInput type="password" placeholder="Password" id="password" [(ngModel)]="password" name="password" required autocomplete="off">
          <mat-error>
            Please provide a valid password
          </mat-error>
        </mat-form-field>
        <button class="subbmit-button" mat-raised-button color="primary" [disabled]="!loginForm.form.valid">Login</button>
      </form>
    </mat-card-content>
  </mat-card>
</div>